#!/bin/sh

set -x

i=$1

export PATH=$PATH:/usr/local/bin/
cd /data/WWW/tmp/

export LD_LIBRARY_PATH=/usr/local/lib/:/home/rmg3/lib/
/usr/local/bin/Xalan -o /data/WWW/tmp/mmab.index.html \
                        /data/WWW/tmp/header ../mmab/papers/summary.xsl

cp ${i}.xml    /data/WWW/mmab/papers/tn${i}/paper.xml ; errno=$?
if [ $errno -ne 0 ] ; then
  echo failed to copy paper.xml to tn directory
fi

cp /data/WWW/tmp/index.shtml /data/WWW/mmab/papers/tn${i}           ; errno=$?
if [ $errno -ne 0 ] ; then
  echo error copying index to tn directory
  exit 1
fi

if [ ! -f /data/WWW/mmab/papers/tn${i}/paper.xml -o ! -f  /data/WWW/mmab/images/paper.xsl ] ; then
  echo missing paper.xml or paper.xsl
  exit 1
fi
#echo cwd = `pwd`
#Xalan -o /data/WWW/mmab/papers/tn${i}/paper.html ${i}.xml \ 
/usr/local/bin/Xalan ${i}.xml /data/WWW/mmab/images/paper.xsl > /data/WWW/mmab/papers/tn${i}/paper.html
errno=$?

if [ $errno -eq 0 ] ; then
  mv /data/WWW/tmp/mmab.index.html /data/WWW/mmab/papers/mmab.index.html
  echo "contribution $i added" > alpha
  mail -s "New paper uploaded" hendrik.tolman@noaa.gov robert.grumbine@noaa.gov < alpha
else
  echo error $errno in translating to html , contact ncep.emc.marineweb@noaa.gov 
fi
